Subject: Re: stdio on bash shell/emacs
From: Joe Buehler <[email-masked]>
To: [email-masked]
Date: Thu, 30 Jan 2003 17:31:58 -0500

Aaron Edsinger wrote:

> hi. i've got a c program that works fine through cygwin bash. when i run it
> from emacs bash on windows, the stdio no longer works. after trolling around
> on the user groups, i found that using fflush(stdout) will allow a printf to
> work. however, a call to kbhit() only returns true on Ctrl-C. does anyone
> have any ideas about this. (here's the code:)

As another poster said, investigate the "tty" setting in the CYGWIN variable.
The fact that you see special behavior for ^C means that you probably don't
have it set.

It is also not clear exactly what you are doing.  If you are just running
"shell" then you are not talking directly to the subshell -- keystrokes
are going to emacs, which is buffering them up then sending them when you
hit return.
-- 
Joe Buehler

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/